package com.steerinfo.auth.shiro.realm;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import com.steerinfo.framework.controller.RESTfulResult;

@Component
public class OssServiceHystrix implements OssServiceClient {
	
	private static final Logger logger = LoggerFactory.getLogger(OssServiceHystrix.class);
	
	@Override
	public RESTfulResult getUser(String id) {
		logger.info("熔断...Fallback of getUser is executed");
		return null;
	}

	@Override
	public RESTfulResult getUserByToken() {
		logger.info("熔断...Fallback of getUserByToken is executed");
		return null;
	}
	
	@Override
	public Object getDaTablePolicys() {
		logger.info("熔断...Fallback of getDaTablePolicys is executed");
		return null;
	}

}
